/*
 * Author:	gxc
 * Create data:	2005-10-22 20:09
 */
 
#ifndef PEERACCEPTOR_H_
#define PEERACCEPTOR_H_

#include "BitStorm.h"
#include "Socket.h"

class CPeerAcceptor :
	public IPeerAcceptor,
	public CSocket	
{
public:
	CPeerAcceptor();
	virtual ~CPeerAcceptor();
private:
	IBTTask* _task;
	unsigned short _port;	
	unsigned int _natTimerID;
public:	
 	void setBTTask(IBTTask* task);
	IBTTask* getBTTask();		
	
	bool start();
	void stop();		
	unsigned short getPort();
	
	int handleRead();
	int handleWrite();
	void handleClose();		
};

#endif /*PEERACCEPTOR_H_*/
