/*
 * Author:	gxc
 * Create data:	2005-10-22 20:09
 */
 
#include "ThreadMutex.h"

CThreadMutex::CThreadMutex()
{
	pthread_mutexattr_t attr;
	pthread_mutexattr_init(&attr);
	pthread_mutexattr_settype(&attr, PTHREAD_MUTEX_RECURSIVE_NP);
	pthread_mutex_init(&_mutex, &attr);
	pthread_mutexattr_destroy(&attr);
}

CThreadMutex::~CThreadMutex()
{
	pthread_mutex_destroy(&_mutex);
}

void CThreadMutex::lock()
{
	pthread_mutex_lock(&_mutex);
}

void CThreadMutex::unlock()
{
	pthread_mutex_unlock(&_mutex);
}
