/*
 * Author:	gxc
 * Create data:	2005-10-07 20:09
 */
 
#ifndef BITSET_H_
#define BITSET_H_

#include "BitStorm.h"

class CBitSet : public IBitSet
{
public:
	CBitSet();
	virtual ~CBitSet();
private:
	std::string _data;
	unsigned int _size;	
public:		
	void alloc(unsigned int size);
	void alloc(std::string& stream, unsigned int size);
	bool isSet(unsigned int index);
	void set(unsigned int index, bool set);	
	bool isAllSet();
	bool isEmpty();
	unsigned int getSetedCount();
	std::string& getStream();
	unsigned int getSize();	
};

#endif /*BITSET_H_*/
